<?php

namespace App\Models\Report;

use App\Models\User;
use App\Traits\BelongsToStore;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class ReportExport extends Model
{
    use BelongsToStore;

    const UPDATED_AT = null;

    protected $fillable = [
        'store_id', 'name', 'type', 'params', 'file_path', 'status', 'operator_id',
    ];

    protected function casts(): array
    {
        return [
            'params' => 'array',
            'status' => 'integer',
        ];
    }

    public function operator(): BelongsTo
    {
        return $this->belongsTo(User::class, 'operator_id');
    }
}
